Subject: bug#37967: guix environment -CN: Operation not permitted mounting host's /var/run/nscd

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Tue, 29 Oct 2019 18:47:14 -0400

Salut Ludovic !

Ludovic Courtès (2019-10-29 23:16:49 +0100) wrote:

> Bon dia Ivan,
> 
> Ivan Vilata i Balaguer <[email-masked]> skribis:
> 
> > Hi!  While using Guix commit `c9fc03a3` on Debian unstable, whenever I run
> > `guix environment -CN` (either as a normal user or as root) I get an error
> > like this:
> >
> >     guix environment: error: mount: mount "/var/run/nscd" on "/tmp/guix-directory.6kBgXe//var/run/nscd": Operation not permitted
> >
> > nscd is installed and working in my host machine.
> 
> What does ‘uname -rs’ return?

    $ uname -rs
    Linux 5.2.0-3-amd64

> What about ‘ls -ld /var/run/nscd’?

    $ ls -ld /var/run/nscd
    drwxr-xr-x 2 root root 60 Oct 29 15:58 /var/run/nscd

> > This command used to work a while ago.  Actually, I pulled the Guix commit
> > right before `5ccec771` ("file-systems: Add /var/run/nscd to
> > '%network-file-mappings'.") and the command seems to work again (even if I do
> > not replace the running daemon).
> >
> > Maybe the later commit introduced some kind of regression?
> 
> It definitely has to do with this commit, but I wonder why you’d get
> EPERM when bind-mounting /var/run/nscd to a different place!
> 
> Gracies,
> Ludo’.

Yeah, I'm also scratching my head since switching to the previous commit
immediately has it working again, so it's probably not a system config
issue. `O_o`

Cheers!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/